package com.persagy.server.services.base

import RelBuildingForBd
import RelBuildingForFl
import RelBuildingForSh
import RelBuildingForSp
import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.models.entities.graphtype.rel.fors.*
import com.persagy.server.datacenter.models.entities.rel.RSp2Sp
import com.persagy.server.datacenter.models.entities.rel.archforarch.*
import com.persagy.service.SObjectService

/**
 * 公共服务
 */
object CommonServices {

    /** 区域服务-建筑和建筑 */
     val rBd2BdService = SObjectService(SMybatisDao(RBd2Bd::class.java))
    /** 建筑和楼层 */
     val rBd2FlService = SObjectService(SMybatisDao(RBd2Fl::class.java))
    /** 建筑和竖井 */
     val rBd2ShService = SObjectService(SMybatisDao(RBd2Sh::class.java))
    /** 建筑和空间 */
     val rBd2SpService = SObjectService(SMybatisDao(RBd2Sp::class.java))
    /** 区域服务-楼层和建筑 */
     val rFl2BdService = SObjectService(SMybatisDao(RFl2Bd::class.java))
    /** 楼层和楼层 */
     val rFl2FlService = SObjectService(SMybatisDao(RFl2Fl::class.java))
    /** 楼层和竖井 */
     val rFl2ShService = SObjectService(SMybatisDao(RFl2Sh::class.java))
    /** 楼层和空间 */
     val rFl2SpService = SObjectService(SMybatisDao(RFl2Sp::class.java))
    /** 区域服务-竖井和建筑 */
     val rSh2BdService = SObjectService(SMybatisDao(RSh2Bd::class.java))
    /** 竖井和楼层 */
     val rSh2FlService = SObjectService(SMybatisDao(RSh2Fl::class.java))
    /** 竖井和竖井 */
     val rSh2ShService = SObjectService(SMybatisDao(RSh2Sh::class.java))
    /** 竖井和空间 */
     val rSh2SpService = SObjectService(SMybatisDao(RSh2Sp::class.java))
    /** 区域服务-空间和建筑 */
     val rSp2BdService = SObjectService(SMybatisDao(RSp2Bd::class.java))
    /** 空间和楼层 */
     val rSp2FlService = SObjectService(SMybatisDao(RSp2Fl::class.java))
    /** 空间和竖井 */
     val rSp2ShService = SObjectService(SMybatisDao(RSp2Sh::class.java))
    /** 空间和空间的关系 */
     val rSp2SpService = SObjectService(SMybatisDao(RSp2Sp::class.java))

    /** 空间和空间的关系 */
    val rSp2SpTwoService = SObjectService(SMybatisDao(RSp2SpTwo::class.java))
    /** 空间和竖井 */
    val rSp2ShTwoService = SObjectService(SMybatisDao(RSp2ShTwo::class.java))
    /** 空间和楼层 */
    val rSp2FlTwoService = SObjectService(SMybatisDao(RSp2FlTwo::class.java))
    /** 空间和建筑 */
    val rSp2BdTwoService = SObjectService(SMybatisDao(RSp2BdTwo::class.java))

    /** 竖井和建筑 */
    val rSh2BdTwoService = SObjectService(SMybatisDao(RSh2BdTwo::class.java))
    /** 竖井和楼层 */
    val rSh2FlTwoService = SObjectService(SMybatisDao(RSh2FlTwo::class.java))
    /** 竖井和竖井 */
    val rSh2ShTwoService = SObjectService(SMybatisDao(RSh2ShTwo::class.java))
    /** 竖井和空间 */
    val rSh2SpTwoService = SObjectService(SMybatisDao(RSh2SpTwo::class.java))

    /** 楼层和建筑 */
    val rFl2BdTwoService = SObjectService(SMybatisDao(RFl2BdTwo::class.java))
    /** 楼层和楼层 */
    val rFl2FlTwoService = SObjectService(SMybatisDao(RFl2FlTwo::class.java))
    /** 楼层和竖井 */
    val rFl2ShTwoService = SObjectService(SMybatisDao(RFl2ShTwo::class.java))
    /** 楼层和空间 */
    val rFl2SpTwoService = SObjectService(SMybatisDao(RFl2SpTwo::class.java))

    /** 建筑和建筑 */
    val rBd2BdTwoService = SObjectService(SMybatisDao(RBd2BdTwo::class.java))
    /** 建筑和楼层 */
    val rBd2FlTwoService = SObjectService(SMybatisDao(RBd2FlTwo::class.java))
    /** 建筑和竖井 */
    val rBd2ShTwoService = SObjectService(SMybatisDao(RBd2ShTwo::class.java))
    /** 建筑和空间 */
    val rBd2SpTwoService = SObjectService(SMybatisDao(RBd2SpTwo::class.java))




    /** 空间对象 */
    val relZoneSpaceForService = SObjectService(SMybatisDao(RelZoneSpaceFor::class.java))
    /** 空间和竖井 */
    val relZoneSpaceForShService = SObjectService(SMybatisDao(RelZoneSpaceForSh::class.java))
    /** 空间和楼层 */
    val relZoneSpaceForFlService = SObjectService(SMybatisDao(RelZoneSpaceForFl::class.java))
    /** 空间和建筑 */
    val relZoneSpaceForBdService = SObjectService(SMybatisDao(RelZoneSpaceForBd::class.java))

    /** 竖井对象空间 */
    val relShaftForSpService = SObjectService(SMybatisDao(RelShaftForSp::class.java))
    /** 竖井对象竖井 */
    val relShaftForShService = SObjectService(SMybatisDao(RelShaftForSh::class.java))
    /** 竖井对象楼层 */
    val relShaftForFlService = SObjectService(SMybatisDao(RelShaftForFl::class.java))
    /** 竖井对象建筑 */
    val relShaftForBdService = SObjectService(SMybatisDao(RelShaftForBd::class.java))

    /** 楼层对象空间 */
    val relFloorForSpService = SObjectService(SMybatisDao(RelFloorForSp::class.java))
    /** 楼层对象竖井 */
    val relFloorForShService = SObjectService(SMybatisDao(RelFloorForSh::class.java))
    /** 楼层对象楼层 */
    val relFloorForFlService = SObjectService(SMybatisDao(RelFloorForFl::class.java))
    /** 楼层对象建筑 */
    val relFloorForBdService = SObjectService(SMybatisDao(RelFloorForBd::class.java))

    /** 建筑对象空间 */
    val relBuildingForSpService = SObjectService(SMybatisDao(RelBuildingForSp::class.java))
    /** 建筑对象竖井 */
    val relBuildingForShService = SObjectService(SMybatisDao(RelBuildingForSh::class.java))
    /** 建筑对象楼层 */
    val relBuildingForFlService = SObjectService(SMybatisDao(RelBuildingForFl::class.java))
    /** 建筑对象建筑 */
    val relBuildingForBdService = SObjectService(SMybatisDao(RelBuildingForBd::class.java))
}